DevNullPrintStream (Grails 4.0.0)
Date: 2019-07-11

Package: org.grails.io.support

## [Groovy] Class DevNullPrintStream

- org.grails.io.support.DevNullPrintStream

- PrintStream that does nothing

  Authors:
    Graeme Rocher

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DevNullPrintStream ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.io.PrintStream` | `append(java.lang.CharSequence csq)`
    `` | `java.io.PrintStream` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `java.io.PrintStream` | `append(char c)`
    `` | `boolean` | `checkError()`
    `` | `protected void` | `clearError()`
    `` | `void` | `close()`
    `` | `void` | `flush()`
    `` | `java.io.PrintStream` | `format(java.lang.String format, java.lang.Object... args)`
    `` | `java.io.PrintStream` | `format(java.util.Locale l, java.lang.String format, java.lang.Object... args)`
    `` | `void` | `print(boolean b)`
    `` | `void` | `print(char c)`
    `` | `void` | `print(int i)`
    `` | `void` | `print(long l)`
    `` | `void` | `print(float f)`
    `` | `void` | `print(double d)`
    `` | `void` | `print(char[] s)`
    `` | `void` | `print(java.lang.String s)`
    `` | `void` | `print(java.lang.Object obj)`
    `` | `java.io.PrintStream` | `printf(java.lang.String format, java.lang.Object... args)`
    `` | `java.io.PrintStream` | `printf(java.util.Locale l, java.lang.String format, java.lang.Object... args)`
    `` | `void` | `println()`
    `` | `void` | `println(boolean x)`
    `` | `void` | `println(char x)`
    `` | `void` | `println(int x)`
    `` | `void` | `println(long x)`
    `` | `void` | `println(float x)`
    `` | `void` | `println(double x)`
    `` | `void` | `println(char[] x)`
    `` | `void` | `println(java.lang.String x)`
    `` | `void` | `println(java.lang.Object x)`
    `` | `protected void` | `setError()`
    `` | `void` | `write(int b)`
    `` | `void` | `write(byte[] buf, int off, int len)`
    `` | `void` | `write(byte[] b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.PrintStream` | `java.io.PrintStream#println(double), java.io.PrintStream#println(float), java.io.PrintStream#println(long), java.io.PrintStream#println(java.lang.Object), java.io.PrintStream#println(java.lang.String), java.io.PrintStream#println([C), java.io.PrintStream#println(), java.io.PrintStream#println(boolean), java.io.PrintStream#println(char), java.io.PrintStream#println(int), java.io.PrintStream#append(java.lang.CharSequence), java.io.PrintStream#append(char), java.io.PrintStream#append(char), java.io.PrintStream#append(java.lang.CharSequence, int, int), java.io.PrintStream#append(java.lang.CharSequence, int, int), java.io.PrintStream#append(java.lang.CharSequence), java.io.PrintStream#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#write(int), java.io.PrintStream#write([B, int, int), java.io.PrintStream#print(boolean), java.io.PrintStream#print(long), java.io.PrintStream#print(double), java.io.PrintStream#print(float), java.io.PrintStream#print(java.lang.Object), java.io.PrintStream#print(java.lang.String), java.io.PrintStream#print([C), java.io.PrintStream#print(char), java.io.PrintStream#print(int), java.io.PrintStream#flush(), java.io.PrintStream#close(), java.io.PrintStream#checkError(), java.io.PrintStream#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#write([B), java.io.PrintStream#wait(long, int), java.io.PrintStream#wait(long), java.io.PrintStream#wait(), java.io.PrintStream#equals(java.lang.Object), java.io.PrintStream#toString(), java.io.PrintStream#hashCode(), java.io.PrintStream#getClass(), java.io.PrintStream#notify(), java.io.PrintStream#notifyAll()`
    `class java.io.FilterOutputStream` | `java.io.FilterOutputStream#write([B, int, int), java.io.FilterOutputStream#write([B), java.io.FilterOutputStream#write(int), java.io.FilterOutputStream#flush(), java.io.FilterOutputStream#close(), java.io.FilterOutputStream#wait(long, int), java.io.FilterOutputStream#wait(long), java.io.FilterOutputStream#wait(), java.io.FilterOutputStream#equals(java.lang.Object), java.io.FilterOutputStream#toString(), java.io.FilterOutputStream#hashCode(), java.io.FilterOutputStream#getClass(), java.io.FilterOutputStream#notify(), java.io.FilterOutputStream#notifyAll()`

- - ### Constructor Detail

    - #### DevNullPrintStream()

  - ### Method Detail

    - #### @java.lang.Override java.io.PrintStream append(java.lang.CharSequence csq)

    - #### @java.lang.Override java.io.PrintStream append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override java.io.PrintStream append(char c)

    - #### @java.lang.Override boolean checkError()

    - #### @java.lang.Override protected void clearError()

    - #### @java.lang.Override void close()

    - #### @java.lang.Override void flush()

    - #### @java.lang.Override java.io.PrintStream format(java.lang.String format, java.lang.Object... args)

    - #### @java.lang.Override java.io.PrintStream format(java.util.Locale l, java.lang.String format, java.lang.Object... args)

    - #### @java.lang.Override void print(boolean b)

    - #### @java.lang.Override void print(char c)

    - #### @java.lang.Override void print(int i)

    - #### @java.lang.Override void print(long l)

    - #### @java.lang.Override void print(float f)

    - #### @java.lang.Override void print(double d)

    - #### @java.lang.Override void print(char[] s)

    - #### @java.lang.Override void print(java.lang.String s)

    - #### @java.lang.Override void print(java.lang.Object obj)

    - #### @java.lang.Override java.io.PrintStream printf(java.lang.String format, java.lang.Object... args)

    - #### @java.lang.Override java.io.PrintStream printf(java.util.Locale l, java.lang.String format, java.lang.Object... args)

    - #### @java.lang.Override void println()

    - #### @java.lang.Override void println(boolean x)

    - #### @java.lang.Override void println(char x)

    - #### @java.lang.Override void println(int x)

    - #### @java.lang.Override void println(long x)

    - #### @java.lang.Override void println(float x)

    - #### @java.lang.Override void println(double x)

    - #### @java.lang.Override void println(char[] x)

    - #### @java.lang.Override void println(java.lang.String x)

    - #### @java.lang.Override void println(java.lang.Object x)

    - #### @java.lang.Override protected void setError()

    - #### @java.lang.Override void write(int b)

    - #### @java.lang.Override void write(byte[] buf, int off, int len)

    - #### @java.lang.Override void write(byte[] b)